Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v12
Class AuthnResponse

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.saml.SAMLMessage
oracle.security.xmlsec.samlp.ResponseType
oracle.security.xmlsec.liberty.v12.LibResponseMessage
oracle.security.xmlsec.liberty.v12.AuthnResponse`

public class AuthnResponse
extends LibResponseMessage

This class represents the AuthnResponse element in the Liberty Single Sign-on and Federation protocol. The identity provider responds to an AuthnRequest from the service provider with an AuthnResponse containing authentication assertions or artifacts the service provider can dereference into authentication assertions. All the authentication assertions are Liberty assertions of the type lib:Assertiontype which is an extension of the saml:AssertionType.

See Also:
  `LibAssertion`, `LibAuthenticationStatement`, `LibSubject`

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`AuthnResponse(org.w3c.dom.Document owner)` Creates a new `AuthnResponse` instance within the specified XML Document.
`AuthnResponse(org.w3c.dom.Document owner, java.lang.String responseId, java.util.Date issueInstant, java.lang.String providerId)` Creates a new `AuthnResponse` instance within the specified XML Document.
`AuthnResponse(org.w3c.dom.Element element)` Creates a new `AuthnResponse` instance from the given Element node.
`AuthnResponse(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `AuthnResponse` instance from the given Element node.

Method Summary
`void` | `addAssertion(oracle.security.xmlsec.saml.Assertion assertion)` Adds a Liberty Assertion element to this response.
`java.util.List` | `getAssertions()` Gets the list of Liberty authentication assertions contained in this response.
`protected java.lang.String[]` | `getChildElementsLocalNames()` Returns the orderded set of the local names of the child elements specified in the schema for the XML element represented by the concrete subclass.
`protected java.lang.String[]` | `getChildElementsNSURIs()` Returns the orderded set of the namespce URIs for the child elements specified in the schema for the XML element represented by the concrete subclass.
`java.lang.String` | `getConsent()` Returns the value of this AuthnResponse element's consent attribute, or `null` if the attribute is not specified.
`void` | `setConsent(java.lang.String consent)` Sets the value of this AuthnResponse element's consent attribute.

Methods inherited from class oracle.security.xmlsec.liberty.v12.LibResponseMessage
`addSignature, addSignature, getChildElementPosition, getID, getInstance, getProviderID, getRelayState, getStatus, setProviderID, setRelayState, setStatus`

Methods inherited from class oracle.security.xmlsec.samlp.ResponseType
`getInResponseTo, getIssueInstant, getLocalNamesPrecedeDSig, getNSURIsPrecedeDSig, getRecipient, getResponseID, setInResponseTo, setIssueInstant, setRecipient, setResponseID`

Methods inherited from class oracle.security.xmlsec.saml.SAMLMessage
`clearSignature, getInstance, getMajorVersion, getMinorVersion, getSignature, isSigned, setVersion, sign, sign, verify, verify`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthnResponse

    public AuthnResponse(org.w3c.dom.Element element)
                  throws org.w3c.dom.DOMException

  Creates a new `AuthnResponse` instance from the given Element node.
Parameters:
  `element` - A Liberty AuthnResponse XML element.

### AuthnResponse

    public AuthnResponse(org.w3c.dom.Element element,
                         java.lang.String systemId)
                  throws org.w3c.dom.DOMException

  Creates a new `AuthnResponse` instance from the given Element node.
Parameters:
  `element` - A Liberty AuthnResponse XML element.
  `systemId` - The URI string system ID for the `AuthnResponse`.

### AuthnResponse

    public AuthnResponse(org.w3c.dom.Document owner)
                  throws org.w3c.dom.DOMException

  Creates a new `AuthnResponse` instance within the specified XML Document.
Parameters:
  `owner` - The owner document of the new Liberty AuthnResponse element.

### AuthnResponse

    public AuthnResponse(org.w3c.dom.Document owner,
                         java.lang.String responseId,
                         java.util.Date issueInstant,
                         java.lang.String providerId)
                  throws org.w3c.dom.DOMException

  Creates a new `AuthnResponse` instance within the specified XML Document.
Parameters:
  `owner` - The owner document of the new Liberty AuthnResponse element.
  `responseId` - The `ResponseID` attribute.
  `issueInstant` - The `IssueInstant` attribute.
  `providerId` - The `ProviderID` child element.

Method Detail

### addAssertion

    public void addAssertion(oracle.security.xmlsec.saml.Assertion assertion)

  Adds a Liberty Assertion element to this response. A Liberty Assertion element must be of the type lib:AessertionType which contains Liberty authentication assertions generated by the identity provider for the service provider.
  Parameters:
    `assertion` - An `LibAssertion` object.

### getAssertions

    public java.util.List getAssertions()

  Gets the list of Liberty authentication assertions contained in this response.
  Returns:
    A `List` containing `LibAssertion` objects, or an empty `List` if none has been set.

### setConsent

    public void setConsent(java.lang.String consent)
                    throws org.w3c.dom.DOMException

  Sets the value of this AuthnResponse element's consent attribute.
  Parameters:
    `consent` - The attribute value.
  Throws:
    `org.w3c.dom.DOMException`

### getConsent

    public java.lang.String getConsent()

  Returns the value of this AuthnResponse element's consent attribute, or `null` if the attribute is not specified.

### getChildElementsNSURIs

    protected java.lang.String[] getChildElementsNSURIs()

  Description copied from class: `LibResponseMessage`
  Returns the orderded set of the namespce URIs for the child elements specified in the schema for the XML element represented by the concrete subclass.
  Specified by:
    `getChildElementsNSURIs` in class `LibResponseMessage`

### getChildElementsLocalNames

    protected java.lang.String[] getChildElementsLocalNames()

  Description copied from class: `LibResponseMessage`
  Returns the orderded set of the local names of the child elements specified in the schema for the XML element represented by the concrete subclass.
  Specified by:
    `getChildElementsLocalNames` in class `LibResponseMessage`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.